import Layout from "./components/Layout/Layout";
import { Routes, Route } from "react-router-dom";
import ProductFormPage from "./containers/ProductFormPage/ProductFormPage";
import ProductsPage from "./containers/ProductsPage/ProductsPage";
import Login from "./containers/Login/Login";
import Register from "./containers/Register/Register";
import PrivateRoute from "./utils/PrivateRoute";

const App = () => {
  return (
    <Routes>
      <Route element={<PrivateRoute />}>
        <Route element={<Layout />} >
          <Route path={"/"} element={<h1>HOME</h1>} />
          <Route path={"/products"} element={<ProductsPage />} />
          <Route path={"/add-product"} element={<ProductFormPage />} />
        </Route>  
      </Route>
      <Route path={"/login"} element={<Login />} />
      <Route path={"/register"} element={<Register />} />
    </Routes>
  );
};

export default App;
